Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
info: Welcome to Nodejitsu trahdivad
info: It worked if it ends with Nodejitsu ok
info: Executing command start
info: Starting app genesis
error: Error running command start
error: Nodejitsu Error (500): Internal Server Error
error: There was an error while attempting to deploy your application.
error:
error: NPM Install failed
error: NPM failed to install dependencies
error:
error: This type of error is usually a user error.
error: Error output from Haibu:
error:
error: npm WARN package.json genesis@0.0.1-34 No README.md file found!
error: npm http GET https://registry.npmjs.org/coffee-script/1.3.3
error: npm http GET https://registry.npmjs.org/async
error: npm http GET https://registry.npmjs.org/express
error: npm http GET https://registry.npmjs.org/mongoose
error: npm http GET https://registry.npmjs.org/cron/1.0.0
error: npm http GET https://registry.npmjs.org/time
error: npm http GET https://registry.npmjs.org/lingo/0.0.5
error: npm http GET https://registry.npmjs.org/nodemon/0.6.23
error: npm http GET https://registry.npmjs.org/mocha
error: npm http GET https://registry.npmjs.org/chai
error: npm http GET https://registry.npmjs.org/mockery/1.1.2
error: npm http 200 https://registry.npmjs.org/coffee-script/1.3.3
error: npm http GET https://registry.npmjs.org/coffee-script/-/coffee-script-1.3.3.tgz
error: npm http 200 https://registry.npmjs.org/async
error: npm http GET https://registry.npmjs.org/async/-/async-0.1.22.tgz
error: npm http 200 https://registry.npmjs.org/cron/1.0.0
error: npm http GET https://registry.npmjs.org/cron/-/cron-1.0.0.tgz
error: npm http 200 https://registry.npmjs.org/time
error: npm http GET https://registry.npmjs.org/time/-/time-0.8.3.tgz
error: npm http 200 https://registry.npmjs.org/lingo/0.0.5
error: npm http GET https://registry.npmjs.org/lingo/-/lingo-0.0.5.tgz
error: npm http 200 https://registry.npmjs.org/express
error: npm http 200 https://registry.npmjs.org/chai
error: npm http 200 https://registry.npmjs.org/mocha
error: npm http 200 https://registry.npmjs.org/mongoose
error: npm http 200 https://registry.npmjs.org/mockery/1.1.2
error: npm http 200 https://registry.npmjs.org/async/-/async-0.1.22.tgz
error: npm http 200 https://registry.npmjs.org/coffee-script/-/coffee-script-1.3.3.tgz
error: npm http GET https://registry.npmjs.org/express/-/express-3.0.0rc4.tgz
error: npm http GET https://registry.npmjs.org/chai/-/chai-1.2.0.tgz
error: npm http GET https://registry.npmjs.org/mocha/-/mocha-1.3.2.tgz
error: npm http GET https://registry.npmjs.org/mongoose/-/mongoose-3.1.1.tgz
error: npm http GET https://registry.npmjs.org/mockery/-/mockery-1.1.2.tgz
error: npm http 200 https://registry.npmjs.org/time/-/time-0.8.3.tgz
error: npm http 200 https://registry.npmjs.org/cron/-/cron-1.0.0.tgz
error: npm http 200 https://registry.npmjs.org/nodemon/0.6.23
error: npm http GET https://registry.npmjs.org/nodemon/-/nodemon-0.6.23.tgz
error: npm http 200 https://registry.npmjs.org/chai/-/chai-1.2.0.tgz
error: npm http 200 https://registry.npmjs.org/lingo/-/lingo-0.0.5.tgz
error: npm http 200 https://registry.npmjs.org/express/-/express-3.0.0rc4.tgz
error: npm http 200 https://registry.npmjs.org/mocha/-/mocha-1.3.2.tgz
error: npm http 200 https://registry.npmjs.org/mongoose/-/mongoose-3.1.1.tgz
error: npm http 200 https://registry.npmjs.org/mockery/-/mockery-1.1.2.tgz
error: npm http 200 https://registry.npmjs.org/nodemon/-/nodemon-0.6.23.tgz
error: npm WARN prefer global nodemon@0.6.23 should be installed with -g
error: npm http GET https://registry.npmjs.org/bindings
error: npm http GET https://registry.npmjs.org/debug
error: npm http 200 https://registry.npmjs.org/debug
error: npm http GET https://registry.npmjs.org/debug/-/debug-0.7.0.tgz
error: npm http 200 https://registry.npmjs.org/bindings
error: npm http GET https://registry.npmjs.org/connect/2.4.4
error: npm http GET https://registry.npmjs.org/commander/0.6.1
error: npm http GET https://registry.npmjs.org/range-parser/0.0.4
error: npm http GET https://registry.npmjs.org/mkdirp/0.3.3
error: npm http GET https://registry.npmjs.org/cookie/0.0.4
error: npm http GET https://registry.npmjs.org/crc/0.2.0
error: npm http GET https://registry.npmjs.org/fresh/0.1.0
error: npm http GET https://registry.npmjs.org/methods/0.0.1
error: npm http GET https://registry.npmjs.org/send/0.0.4
error: npm http GET https://registry.npmjs.org/bindings/-/bindings-1.0.0.tgz
error: npm http 200 https://registry.npmjs.org/debug/-/debug-0.7.0.tgz
error: npm http 200 https://registry.npmjs.org/range-parser/0.0.4
error: npm http 200 https://registry.npmjs.org/connect/2.4.4
error: npm http GET https://registry.npmjs.org/range-parser/-/range-parser-0.0.4.tgz
error: npm http GET https://registry.npmjs.org/connect/-/connect-2.4.4.tgz
error: npm http 200 https://registry.npmjs.org/mkdirp/0.3.3
error: npm http 200 https://registry.npmjs.org/cookie/0.0.4
error: npm http 200 https://registry.npmjs.org/commander/0.6.1
error: npm http 200 https://registry.npmjs.org/fresh/0.1.0
error: npm http 200 https://registry.npmjs.org/crc/0.2.0
error: npm http 200 https://registry.npmjs.org/methods/0.0.1
error: npm http 200 https://registry.npmjs.org/range-parser/-/range-parser-0.0.4.tgz
error: npm http 200 https://registry.npmjs.org/send/0.0.4
error: npm http 200 https://registry.npmjs.org/connect/-/connect-2.4.4.tgz
error: npm http 200 https://registry.npmjs.org/bindings/-/bindings-1.0.0.tgz
error: npm http GET https://registry.npmjs.org/mkdirp/-/mkdirp-0.3.3.tgz
error: npm http GET https://registry.npmjs.org/cookie/-/cookie-0.0.4.tgz
error: npm http GET https://registry.npmjs.org/fresh/-/fresh-0.1.0.tgz
error: npm http GET https://registry.npmjs.org/crc/-/crc-0.2.0.tgz
error: npm http GET https://registry.npmjs.org/methods/-/methods-0.0.1.tgz
error: npm http GET https://registry.npmjs.org/send/-/send-0.0.4.tgz
error: npm http GET https://registry.npmjs.org/commander/-/commander-0.6.1.tgz
error: npm http 200 https://registry.npmjs.org/mkdirp/-/mkdirp-0.3.3.tgz
error: npm http 200 https://registry.npmjs.org/methods/-/methods-0.0.1.tgz
error: npm http GET https://registry.npmjs.org/growl
error: npm http GET https://registry.npmjs.org/jade/0.26.3
error: npm http GET https://registry.npmjs.org/diff/1.0.2
error: npm http 200 https://registry.npmjs.org/fresh/-/fresh-0.1.0.tgz
error: npm http 200 https://registry.npmjs.org/cookie/-/cookie-0.0.4.tgz
error: npm http 200 https://registry.npmjs.org/send/-/send-0.0.4.tgz
error: npm http 200 https://registry.npmjs.org/crc/-/crc-0.2.0.tgz
error: npm http 200 https://registry.npmjs.org/commander/-/commander-0.6.1.tgz
error: npm http 200 https://registry.npmjs.org/growl
error: npm http GET https://registry.npmjs.org/growl/-/growl-1.5.1.tgz
error: npm http 200 https://registry.npmjs.org/diff/1.0.2
error: npm http 200 https://registry.npmjs.org/jade/0.26.3
error: npm http GET https://registry.npmjs.org/diff/-/diff-1.0.2.tgz
error: npm http GET https://registry.npmjs.org/jade/-/jade-0.26.3.tgz
error: npm WARN package.json methods@0.0.1 No README.md file found!
error: npm http 200 https://registry.npmjs.org/growl/-/growl-1.5.1.tgz
error: npm http 200 https://registry.npmjs.org/jade/-/jade-0.26.3.tgz
error: npm http 200 https://registry.npmjs.org/diff/-/diff-1.0.2.tgz
error: npm WARN package.json jade@0.26.3 No README.md file found!
error: gyp http GET http://nodejs.org/dist/v0.8.6/node-v0.8.6.tar.gz
error: gyp http 200 http://nodejs.org/dist/v0.8.6/node-v0.8.6.tar.gz
error: npm http GET https://registry.npmjs.org/mime/1.2.6
error: npm http GET https://registry.npmjs.org/mkdirp/0.3.0
error: npm http 200 https://registry.npmjs.org/mime/1.2.6
error: npm http GET https://registry.npmjs.org/mime/-/mime-1.2.6.tgz
error: npm http 200 https://registry.npmjs.org/mkdirp/0.3.0
error: npm http GET https://registry.npmjs.org/mkdirp/-/mkdirp-0.3.0.tgz
error: npm http 200 https://registry.npmjs.org/mime/-/mime-1.2.6.tgz
error: npm http 200 https://registry.npmjs.org/mkdirp/-/mkdirp-0.3.0.tgz
error: npm http GET https://registry.npmjs.org/qs/0.4.2
error: npm http GET https://registry.npmjs.org/formidable/1.0.11
error: npm http GET https://registry.npmjs.org/bytes/0.1.0
error: npm http GET https://registry.npmjs.org/pause/0.0.1
error: npm http 200 https://registry.npmjs.org/qs/0.4.2
error: npm http 200 https://registry.npmjs.org/pause/0.0.1
error: npm http GET https://registry.npmjs.org/qs/-/qs-0.4.2.tgz
error: npm http GET https://registry.npmjs.org/pause/-/pause-0.0.1.tgz
error: npm http 200 https://registry.npmjs.org/formidable/1.0.11
error: npm http 200 https://registry.npmjs.org/bytes/0.1.0
error: npm http GET https://registry.npmjs.org/formidable/-/formidable-1.0.11.tgz
error: npm http GET https://registry.npmjs.org/bytes/-/bytes-0.1.0.tgz
error: npm http 200 https://registry.npmjs.org/pause/-/pause-0.0.1.tgz
error: npm http 200 https://registry.npmjs.org/qs/-/qs-0.4.2.tgz
error: npm http 200 https://registry.npmjs.org/bytes/-/bytes-0.1.0.tgz
error: npm http 200 https://registry.npmjs.org/formidable/-/formidable-1.0.11.tgz
error: npm http GET https://registry.npmjs.org/hooks/0.2.1
error: npm http GET https://registry.npmjs.org/mongodb/1.1.6
error: npm http GET https://registry.npmjs.org/ms/0.1.0
error: npm http 200 https://registry.npmjs.org/hooks/0.2.1
error: npm http 200 https://registry.npmjs.org/ms/0.1.0
error: npm http GET https://registry.npmjs.org/hooks/-/hooks-0.2.1.tgz
error: npm http GET https://registry.npmjs.org/ms/-/ms-0.1.0.tgz
error: npm http 200 https://registry.npmjs.org/mongodb/1.1.6
error: npm http GET https://registry.npmjs.org/mongodb/-/mongodb-1.1.6.tgz
error: npm http 200 https://registry.npmjs.org/hooks/-/hooks-0.2.1.tgz
error: npm http 200 https://registry.npmjs.org/ms/-/ms-0.1.0.tgz
error: npm http 200 https://registry.npmjs.org/mongodb/-/mongodb-1.1.6.tgz
error: npm http GET https://registry.npmjs.org/bson/0.1.3
error: npm http 200 https://registry.npmjs.org/bson/0.1.3
error: npm http GET https://registry.npmjs.org/bson/-/bson-0.1.3.tgz
error: npm http 200 https://registry.npmjs.org/bson/-/bson-0.1.3.tgz
error: npm WARN package.json bson@0.1.3 No README.md file found!
error: npm ERR! time@0.8.3 install: `node-gyp rebuild`
error: npm ERR! `sh "-c" "node-gyp rebuild"` failed with 7
error: npm ERR!
error: npm ERR! Failed at the time@0.8.3 install script.
error: npm ERR! This is most likely a problem with the time package,
error: npm ERR! not with npm itself.
error: npm ERR! Tell the author that this fails on your system:
error: npm ERR! node-gyp rebuild
error: npm ERR! You can get their info via:
error: npm ERR! npm owner ls time
error: npm ERR! There is likely additional logging output above.
error:
error: npm ERR! System SunOS 5.11
error: npm ERR! command "node" "/opt/haibu/node-versions/0.8.6/bin/npm" "--unsafe-perm" "true" "--cache" "/opt/haibu/apps/trahdivad/genesis/.npm" "--userconfig" "/opt/haibu/apps/trahdivad/genesis/.userconfig" "--globalconfig" "/opt/haibu/apps/trahdivad/genesis/.globalconfig" "install"
error: npm ERR! cwd /opt/haibu/apps/trahdivad/genesis/package
error: npm ERR! node -v v0.8.6
error: npm ERR! npm -v 1.1.50
error: npm ERR! code ELIFECYCLE
error: npm ERR!
error: npm ERR! Additional logging details can be found in:
error: npm ERR! /opt/haibu/apps/trahdivad/genesis/package/npm-debug.log
error: npm ERR! not ok code 0
error:
info: Nodejitsu not ok
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.